<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags"%>

<html>
<jsp:include page="../fragments/header.jsp" />
<body>
	<div class="container">
		<jsp:include page="../fragments/mainmenu.jsp" />
		<spring:url value="/sequence/sequence/results" var="sequence_query" />
		<spring:url value="/admin/ip/results" var="ip_query" />

		<div class="panel panel-default">
		<div class="panel-heading">
			<p style="font-weight:bold;">Information for the job ${IdJob}</p>
		</div>
		<div class="panel-body">
			<p>Start timestamp : ${result.dateStart}</p>
			<p>End timestamp : ${result.dateEnd}</p>
<sec:authorize access="hasRole('ROLE_ADMIN')">
			<p>IP: <a title="Click to view other jobs" href="${ip_query}?ip=${result.ip}">${result.ip}</a></p>
</sec:authorize>
			<c:if test='${jobarchive != null}'>
				<spring:url value="../${jobarchive}" var="jobarchivefile" />
				<p>Job archive: <a title="Click to get the file" href="${jobarchivefile}">download</a></p>
			</c:if>
			<div class="grid-wrapper-div">
			<table class="table table-striped table-hover table-bordered">
			<tbody>
				<thead>
					<tr>
						<th>ID</th>
						<th >Sequence</th>
					</tr>
				</thead>
				<tr>
					<td>Protein</td>
					<td >
						<a title="Click to view other jobs" href="${sequence_query}?sequence=${result.sequence}&searchtype=whole">${result.sequence}</a>
					</td>
				</tr>
				<c:forEach items="${result.prediction}" var="pred">
					<tr>
						<td>${pred.key}</td>
						<td style="text-align: left; border-buttom: dotted; font-family: monospace">${pred.value}</td>
					</tr>
				</c:forEach>
			</tbody>
			</table>
			</div>
		</div>
		</div>

		<jsp:include page="../fragments/footer.jsp" />
	</div>
</body>
</html>